function tot = compLog(Y,AllS,Gamma,Mue,Theta,num,sig,numVals,cl,grid,prob);

% Y - Y a matrix, each column corresponds to a gene.
% AllS - Collection of matrices for each gene
% prob - indicates the probability to which class the gene belongs
% Theta - the covariance matrix
% sig - the variance
% numVals - the number of obsereved values for i
% cl - the number of classes 
% grid - the number of grid points

T1 = zeros(grid,grid,cl);
for i=1:cl,
 T1(:,:,i) = Theta(:,:,i)^(-1); 
end
tot = 0;
for i=1:num,
  S = AllS(:,:,i);
  curS = (S'*S)/sig;
  for j=1:cl,
    vec = Y(:,i) - AllS(:,:,i)*(Mue(:,j) + Gamma(:,i,j));
    cur = sum(vec .* vec)/sig + numVals(i)*log(sig);
    cur1 = Gamma(:,i,j)'*T1(:,:,j)*Gamma(:,i,j);
    cur = cur + log(det(Theta(:,:,j)));
    cur = cur + trace((T1(:,:,j)+curS)^(-1)*S'*S);
    cur = cur + trace((T1(:,:,j)+curS)^(-1)*T1(:,:,j));
    tot = tot + prob(j,i)*(cur+cur1);
  end
end
tot = tot*(-.5);
