% generateS - A funcrion for generating spline evaluation matrix 

function S = generateS(t,pols);

% t - the time points for each of the possible values
% pols - number of polynomial wanted (the actual number of control 
%        points is pols+3
% S - a matrix of dimensions dim(t) * (pols+3) that holds the spline
%       coefficients for all genes

expNum = size(t,2);
gridSize = pols+3;
grid = 0:gridSize-1;
% time - determines support for each input time point
time = (t-t(1))*(grid-3)/(t(expNum)-t(1)) + 1;
%time = 1:expNum-1;
S = zeros(expNum,gridSize);
for i=1:expNum,
  for j=1:gridSize,
      S(i,j) =findCoef(time(i)-grid(j));
  end
end
