function p = findProb(Y,AllS,Mue,Gamma,geneNum,Theta,sig,clNum,grid,nVals);

% Y - Y a matrix, each column corresponds to a gene.
% AllS - Collection of matrices for each gene
% Gamma - Matrix of the currently estimated Gammas
% Theta - the covariance matrix
% sig - the variance
% Mue - Class averages
% grid - the numbewr of grid points
% clNum - number of classes
% prob - the probabilty for each class
% nVals - number of values for each gene

 expT = [1:clNum];
 p = zeros(clNum,geneNum);
 for i=1:clNum,
  %T1(:,:,i) = pinv(Theta(:,:,i));
  T1(:,:,i) = Theta(:,:,i)^(-1);
 end 
 for i=1:geneNum,
   S = AllS(:,:,i); 
   curS = (S'*S)/sig;
   for j=1:clNum,
     vec = Y(:,i) - S*(Mue(:,j) + Gamma(:,i,j));
     cur = sum(vec .* vec)/sig + nVals(i)*log(sig);
     cur1 = Gamma(:,i,j)'*T1(:,:,j)*Gamma(:,i,j);
     cur = cur + log(det(Theta(:,:,j)));
     cur = cur + trace((T1(:,:,j)+curS)^(-1)*S'*S);
     cur = cur + trace((T1(:,:,j)+curS)^(-1)*T1(:,:,j));
     expT(j) = (-.5)*(cur+cur1);
     p(j,i) = exp(expT(j));
   end
   if sum(p(:,i)) == 0
%     Y(:,i) 
     [val,pl] = max(expT)
     p(pl,i) = 1;
   end
   p(:,i) = p(:,i)/sum(p(:,i));
 end


