function [prob,res,S,newT] = ...
         compDelta(A,err,times,grid,vars,vals,inVals,stAct,endAct);

% A - integral matrix
% cp - control points times
% err - distance between curves 
% times - sampling time
% stAct,endAct - start and finish of actual time
% vars - point specific variance for the values at vals
% vals - values at which the corresponding vars was evaluated
% inVals - interpolated values for reference curve   
dur = endAct-stAct;
newT = [stAct (stAct+2):dur/(3*(grid-1)):(endAct-2)  ...
	endAct];
useVals = inVals(floor(newT+1));
useVars = findVarsforVals(useVals,vals,vars);
expNum = size(newT,2);
grid = grid+2;
t1 = (newT-times(1))*(grid-3)/(times(size(times,2))) + 1;
gridVals = [0:grid-1];
S = createSE(t1,gridVals,grid,expNum);
for i=1:expNum,
  S(i,:) = S(i,:)/sqrt(useVars(i));
end
A1 = A/err;
mat = A1^(-1)*(S'*S);
%m = z*S'*S*z;
vals = eig(mat);
% mn - selected eigenvalue
[mn pl] = min(vals);
[V,D] = eig(mat);
% sel - selected eigenvector
sel = V(:,pl);

cur = sel'*A1*sel;
sqrCur = sqrt(cur);
eigSel = sel/sqrCur;
res = eigSel;
e1 = (S*eigSel)'*(S*eigSel);
%diff = z*sel;
%e1 = S*diff;
%err= e1'*e1
%nErr = err/.33^2
% 2 factors out (2 in likelihood ratio test and 2 in normal dist)
%nErr = e1/vari;
%prob = 1-chi2cdf(nErr,grid)
prob = 1-chi2cdf(e1,grid-2);
%curD = normcdf(singErr,0,.33);
%curD = 1 - 2*curD;
%prob = 1-curD^expNum;




