function [vars,counts] = compSpecificVar(in1,in2,vals);

% set1,2 - two measurements datasets
% vals =-= values to evaluate on

f1 = find(sum(abs(in1) > 0,2)>0);
f2 = find(sum(abs(in2) > 0,2)>0);
f = union(f1,f2);
set1 = in1(f,:);
set2 = in2(f,:);

pres1 = set1<90;
pres2 = set2<90;

pres = pres1 .* pres2;
[rows,cols] = size(set1);
tot = 0;
for i=1:cols,
  f = find(pres(:,i) > 0);
  addi = sum(pres(:,i) > 0);
  v1(tot+1:tot+addi) = set2(f,i)';
  v2(tot+1:tot+addi) = set1(f,i)';
  tot = tot + addi;
end
%vmax = 1:tot;
%vmin = 1:tot;
%vmax(v1>0) = max(v1(v1>0),v2(v1>0));
%vmin(v1>0) = min(v1(v1>0),v2(v1>0));
%vmax(v1<=0) = min(v1(v1<=0),v2(v1<=0));
%vmin(v1<=0) = max(v1(v1<=0),v2(v1<=0));
%v1 = vmin;
%v2 = vmax;

lookFor = size(vals,2);
for i=1:lookFor,
  cur = vals(i);
  min1 = cur-.5;
  max1 = cur+.5;
  f = find(v1 > min1 & v1 < max1);
  curV1 = v1(f);
  curV2 = v2(f);
  cands = size(f,2);
  din = 0;
  nom = 0;
  for j=1:cands,
    mult = pdf('Normal',(cur-curV1(j)),0,.25);
    din = din + mult*(curV1(j)-curV2(j))^2;
    nom = nom + mult;
  end
  counts(i) = cands;
  if nom == 0
      vars(i) = 1000;
  else
     vars(i) = din/nom;
  end
end




