function displaySelAlign(m1,m2,t1,t2,f1,prob,names,outf,n1)

% m1 - values for exp1
% m2 - values for exp2
% t1 - times for m1
% t2 - times for m2
% f1 - selected set to display
% prob - p-value computed for this set
% names - names of f1 set
% tp - time points for phases
%outf - beginning of out file name
% n1 - number of figures per page

rc = floor(sqrt(n1));
totP = rc*rc;
sel = size(f1,2);
%p1 = prob(f1);
p1 = prob(f1);
names1 = names(f1,:);
[Y,Ind] = sort(p1);   
%Y = p1;
%Ind = 1:sel;
vals1 = m1(f1,:);
vals2 = m2(f1,:);

totFigs = ceil(sel/totP);
%close All;
for k=1:totFigs,
  h1 = figure;
  set(h1,'Position',[30 98 1350 862]);
  subplot(rc,rc,1);
  for i=1:rc,
    for j=1:rc,
      pl = (i-1)*rc+j;
      cur = (k-1)*totP+pl;
      if cur <= sel
	subplot(rc,rc,pl);
	h = plot(t1,vals1(Ind(cur),:));
    set(h,'LineWidth',3);
	hold on
	h = plot(t2,vals2(Ind(cur),:),'r');
    set(h,'LineWidth',3);
    set(h,'LineStyle','--');
%	plot(tp,[1:size(tp,2)]*0-2,'k.');
	m11 = min(vals1(Ind(cur),:));
	m12 = min(vals2(Ind(cur),:));
	m1 = min(m11,m12);
	m21 = max(vals1(Ind(cur),:));
        m22 = max(vals2(Ind(cur),:));
	m2 = max(m21,m22);
	axis([0 120 -2 2]);
    if abs(m1) > m2
        plL = 1;
    else
        plL = 3;
    end
    legend('Alpha','Knockout',plL);
%	title(sprintf('%s %1.0d',char(names(f1(Ind(cur)))),Y(cur))); 
        title(sprintf('%d: %s %1.0d',cur,char(names1(Ind(cur),:)),Y(cur))); 
      end
    end
  end
  figure(h1)
  s1 = sprintf('%s%s%d%s',outf,'Figure',k,'.jpg')
  print('-djpeg',s1);
end
n1 = 1;
while n1 > 0
    n1 = input('Do you want to plot individual figures ? If so, input the number of the requested figure, to exit type -1 \n');
    if n1 > 0;
        figure
        cur = n1;
        h = plot(t1,vals1(Ind(cur),:));
        set(h,'LineWidth',3);
	    hold on
	    h = plot(t2,vals2(Ind(cur),:),'r');
       set(h,'LineWidth',3);
       set(h,'LineStyle','--');
%	plot(tp,[1:size(tp,2)]*0-2,'k.');
	   m11 = min(vals1(Ind(cur),:));
	   m12 = min(vals2(Ind(cur),:));
	   m1 = min(m11,m12);
	   m21 = max(vals1(Ind(cur),:));
       m22 = max(vals2(Ind(cur),:));
	   m2 = max(m21,m22);
	   axis([0 120 m1 m2]);
       if abs(m1) > m2
          plL = 1;
       else
          plL = 3;
       end
       legend('Alpha','Knockout',plL);
%	title(sprintf('%s %1.0d',char(names(f1(Ind(cur)))),Y(cur))); 
        title(sprintf('%d: %s %1.0d',cur,char(names1(Ind(cur),:)),Y(cur))); 
    end
end
