%function prob = errForVals(A,m1,m2,t1,t2,totT,grid,time,acTimes,vari,f1);
function [diff,prob] = errForVals(A,m1,m2,t1,t2,totT,grid,time,acTimes,...
           vars,vals);
% A - integral matrix99
% m1 - values for exp1
% m2 - values for exp2
% t1 - times for m1
% t2 - times for m2
% totT - end time for experiments
% grid,time,acTime - same as in compDelta
% vars - point specific variance at the points of 'vals'
% vals - see vars
grid = grid+2;
gridSize = 0:grid-1;
ti1 = t1*(grid-3)/totT + 1;
ti2 = t2*(grid-3)/totT + 1;

exp1 = size(acTimes,2)

s1 = createSE(ti1,gridSize,grid,size(t1,2));
s2 = createSE(ti2,gridSize,grid,size(t2,2));

%varLine = [1:grid]*0+(vari);
%errVar = varLine*A*varLine'
[tot,expN] = size(m1);
prob = [1:tot]*0;
diff = 1:tot;
for i=1:tot,
  c1 = (s1'*s1)^(-1)*s1'*m1(i,:)';
  c2 = (s2'*s2)^(-1)*s2'*m2(i,:)';
  del = c2-c1;
  err = del'*A*del;
  diff(i) = err;
  err1 = c1'*A*c1;
  err2 = c2'*A*c2;
%  totErr = (err/(err2))*errVar;
  [prob(i),res]  = compDeltaSpecificVar(A,err,time,grid-2,vars,vals,m1(i,:),...
                   acTimes(1),acTimes(exp1));
end
return;
sel = sum(prob <.005);
%sel = size(f1,1);
f1 = find(prob < .005);
p1 = prob(f1);
[Y,Ind] = sort(p1);   
vals1 = m1(f1,:);
vals2 = m2(f1,:);

totFigs = ceil(sel/25);
%close All;
for k=1:totFigs,
%  figure(k);
  figure
  subplot(5,5,1);
  for i=1:5,
    for j=1:5,
      pl = (i-1)*5+j;
      cur = (k-1)*25+pl;
      if cur <= sel
	subplot(5,5,pl);
	plot(t1,vals1(Ind(cur),:));
	hold on
	plot(t2,vals2(Ind(cur),:),'r');
	title(sprintf('%s %d',char(namesAll(f1(cur),:)),Y(cur))); 
      end
    end
  end
end
figure
hist(diff,80);

