function [selA,selB,sel,combRatios] = findChanging(valsA1,valsA2,valsB1,valsB2,PMAA1,PMAA2,PMAB1,PMAB2,hk);

% This function gets as input the entire set of values and PMA info, and
% outputs log ratios of selected (changing) genes, and their place in each
% of the two arrays.

% ValsA1,2 B1,2 - original values from experiment
% PMAA1,2 N1,2 - present / absent information
% hk - number of house keeping genes

nA1 = normalize(valsA1,hk);
nA2 = normalize(valsA2,hk);
nB1 = normalize(valsB1,hk);
nB2 = normalize(valsB2,hk);

[totA,cols] = size(valsA1);
[totB,cols] = size(valsB1);

n1 = [nA1;nB1];
n2 = [nA2;nB2];

PMA1 = [PMAA1,PMAB1];
PMA2 = [PMAA2,PMAB2];

r1 = compRatios(n1,PMA1);
r2 = compRatios(n2,PMA2);

lookfor = =0:5:3000;
vars = compMeanStdAll(r1,r2,PMA1,PMA2,lookfor);

pres1 = PMA1 > 0;
pres2 = PMA2 > 0;
pres = pres1 .* pres2;
presO = pres1 + pres2;
combRatios = r1;
combRatios = 110;
combRatios = ((r1 .* pres)+(r2 .* pres))/2;
combVals = ((n1 .* pres)+(n2 .* pres))/2;
pres1 = pres1 - pres;
pres2 = pres2 - pres;
combRatios = combRatios + r1 .* pres1;
combRatios = combRatios + r2 .* pres2;
combVals = combVals + n1 .* pres1;
combVals = combVals + n2 .* pres2;
PMA = presO > 0;

sel = findChangedGenes(combRatios,combVals,PMA,lookfor,vars);
[totA,cols] = size(valsA1);
fA = find(sel <= totA);
selA = sel(fA);
fB = find(sel > totA);
selB = sel(fB)-totA;



