function [pN,pUp,pS,res,x1r,y1r] = generateCurves(st,fn,sr,gr,varN,A,rep);

% This function takes a curve as input (x), and generates 
% a number of noisy curves using different variance values.
% Next the probablilty algorithm is used to determine weather 
% the difference is significant or not.

% x - input curve
% times - sampling times 
% gr - grid size
% varN vector of variances to use
% A - integral matrix
%rep - number of time to repaet
% mul - multiply noise
% st - starting time
% fn - finish time
% sr - sampling rate

Dur = fn-st; 
grid = gr + 2
gridVals = [0:grid-1];
numVar = size(sr,2);
pN = zeros(numVar,rep);
pUp = zeros(numVar,rep);
pS = zeros(numVar,rep);
for j=1:numVar,
  times = st:Dur/(sr(j)-1):fn;
  x = sin(times);
  expNum = size(x,2);
  t1 = [0:expNum-1];
  t1 = (times-times(1))*(grid-3)/(times(expNum)-times(1)) + 1;  
  s = createS(t1,gridVals,grid,expNum);
  c = (s'*s)^(-1)*s'*x';
  for i=1:rep,
    noise = random('Normal',0,sqrt(varN),1,expNum);
    x1 = x + noise;
    add1 = mean(abs(noise));
    c1 = (s'*s)^(-1)*s'*x1';
    x1r = s*c1;
    curVar = sum((x1r'-x).^2)/expNum;
 %  curVar = varN(j);
    y = x +add1;
    cy = (s'*s)^(-1)*s'*y';
    y1r=s*cy;
    a = 1-sum(abs(noise))/sum(abs(x));
    z = a*x;
    cz = (s'*s)^(-1)*s'*z';
    z1r = s*cz;
    ex1 = (c1-c)'*A*(c1-c);
    ey = (cy-c)'*A*(cy-c);
    ez = (cz-c)'*A*(cz-c);
%   [pN(j,i),r] = compDelta(A,ex1,times,gr,curVar,st,fn);
%   [pUp(j,i),res] = compDelta(A,ey,times,gr,curVar,st,fn);
%   [pS(j,i),r] = compDelta(A,ez,times,gr,curVar,st,fn);
    pN(j,i) = compSigSamplesOnly(x,x1,expNum,curVar);
    pS(j,i) = compSigSamplesOnly(x,y,expNum,curVar);
    pUp(j,i) = compSigSamplesOnly(x,z,expNum,curVar);
%    res = s*(c+res);
  end
 [expNum sum(pN(j,:) < .005) sum(pUp(j,:) < .005) sum(pS(j,:) < .005)] 
end
%figure(1)
%clf
%hist(probN,100);
%figure(2)
%clf
%hist(probUp,100);  

