function findAndPlotDiffExp(Nv1,Nv2,time1,time2,grid,classes,names,rep1,rep2,thresh,outf);

% Nv1,Nv2 - the two expression datat sets
% times1,2 - times for the two datasets
% grid - same as in inter
% classes - number of classes to use
% names - names of the genes 
% rep1,2 - repeats of measurements for at least one time point for all
% genes
% thresh - significance threshold
% outf - output file


p1 = path;
p1 = path(p1,'evalerr');
p1 = path(p1,'contrep');
p1 = path(p1,'contwithknownclasses');
[eps,temp] = size(Nv1);
[c,Na] = inter(Nv1,Nv2,classes,grid,eps/2,time1,5,'data1');
tot1 = size(time1,2);
tot2 = size(time2,2);
[Tht,inp,avg,Gamma] = interK(Nv2,Na,grid,eps,time2,5,'data2');
vals1 = evalPol('data1Splines.bin',time1(1),time1(tot1));
vals2 = evalPol('data2Splines.bin',time2(1),time2(tot2));
delete('data1Splines.bin');
delete('data2Splines.bin');
intTime1 = time1(1):time1(tot1);
intTime2 = time2(1):time2(tot2);
prev = -3;
s1 = 0
minOn = -1;
maxOn = 1;
for i=-3:.2:3,
    toti = sum(sum(rep1 > prev & rep1 <i))
    if toti > 100 & s1 == 0
        s1 = 1;
        minOn = prev;
    end
    if s1 == 1 & toti > 100
        maxOn = i;
    end
    prev = i;
end
evalOn = minOn:.2:maxOn
[vars,counts] = compSpecificVar(rep1,rep2,evalOn)
totT1 = time1(tot1)-time1(1);
t1 = time1(1):totT1/(grid-1):totT1;
A = compA(t1);
[diff,prob] = errForVals(A,vals1,vals2,intTime1,intTime2,time1(tot1),grid,time1,time2,...
           vars,evalOn);
names1 = names( Na > 0,:);
f1 = find(prob < thresh);
[v pl] = sort(prob(f1));
seln = names1(f1,:);
namel = sprintf('%s%s',outf,'List.txt');
printSelectedGenes(namel,char(seln(pl,:)));
namep = sprintf('%s%s',outf,'Pval.txt');
dlmwrite(namep,v,'\n');
totSel = sum(prob < thresh);
s1 = sprintf('%s %d %s \n','The algorithm has detected',totSel,'Differentially expresed genes')
s2 = input('Do you want to see plots for the selected set  (Y / N) ?','s');
if s2  == 'y' | s1 == 'Y'
    n1 = input('How many figures in each page (must be a squared number, i.e. 1,2,4,9,16 etc.) ? ');
    displaySelAlign(vals1,vals2,intTime1,intTime2,f1,prob,names1,outf,n1);
end
